import Vue from 'vue'
import Router from 'vue-router'
import { constantRouterMap, asyncRouterMap, asyncMobileRouterMap } from '@/config/router.config'
import { isMobileDevice } from '@/utils/util'
// hack router push callback
const originalPush = Router.prototype.push
Router.prototype.push = function push (location, onResolve, onReject) {
  if (onResolve || onReject) return originalPush.call(this, location, onResolve, onReject)
  return originalPush.call(this, location).catch(err => err)
}

Vue.use(Router)
console.log(isMobileDevice()?asyncMobileRouterMap:asyncRouterMap)
export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRouterMap.concat(isMobileDevice()?asyncMobileRouterMap:asyncRouterMap)
})
